commit 699f306744e5f0e1ad860a460454efe85fe63c74
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Oct 4 21:30:55 2022 +0100

    Unbreak FreeBSD build
    
    Broken-by: 96751ae76e

diff --git a/src/src/tls-openssl.c b/src/src/tls-openssl.c
index b46c0c7fd..68ad6f15b 100644
--- a/src/src/tls-openssl.c
+++ b/src/src/tls-openssl.c
@@ -2737,7 +2737,7 @@ if (init_options)
   DEBUG(D_tls) debug_printf("setting  SSL CTX options: %016lx\n", init_options);
   SSL_CTX_set_options(ctx, init_options);
    {
-    ulong readback = SSL_CTX_clear_options(ctx, ~init_options);
+    uint64_t readback = SSL_CTX_clear_options(ctx, ~init_options);
     if (readback != init_options)
       return tls_error(string_sprintf(
           "SSL_CTX_set_option(%#lx)", init_options), host, NULL, errstr);

